Bug 49653 - Control center appears in panel menu
Control center appears in panel menu
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-22 15:25 EDT by Michal Jaegermann
Modified: 2007-03-26 23:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 12:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-07-22 15:25:13 EDT
Description of Problem:

Defaulting session to "save on exit without asking any questions" is
a very bad idea.  Taken by surprise I managed to mess up with it my
desktop in no time at all and I have some experience with these matter.
It turned out that it was easier to start again from scratch than try
to rescue leftovers.

To add insult to injury "control-center" icon was taken out from the
panel.  Newbies will have a very hard time to fish it out from
"Programs->Settings->GNOME Control Center" submenu.  If you really
want to take it out from that panel then at least "Settings", if not
just "GNOME Control Center" should be moved to the top level of main
menu.

Even with that somebody just starting will have a very hard time to
figure out what to do not to have every configuration misstep saved
without asking any questions.  This blatantly violates the priciple
of the least surprise.  No idea what silently changed my defaults
after an update.  Nautilus?  Seems fitting with the rest of this
"design".
Comment 1 Havoc Pennington 2001-07-22 17:33:53 EDT
The control center is deprecated in favor of: open "Start Here" folder, open
"Preferences" folder. Or open a Nautilus window and type preferences: for the
location. Or type "nautilus preferences:" on the command line. Or go to the
panel menu and select a specific control panel.

The two bugs I would like to fix here are that the control center still appears
in the panel menu, and the continuous autosave of the session (revert to save
session if you ask for that on logout). However I'm not sure the latter will be
feasible in time for beta3.

Comment 2 Glen Foster 2001-07-23 17:18:08 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 3 Havoc Pennington 2001-07-25 17:55:43 EDT
The auto-session-save should now be fixed.
Comment 4 Havoc Pennington 2001-08-01 17:07:44 EDT
Control center should not appear in the menu as of 1.4.0.1-12

Note You need to log in before you can comment on or make changes to this bug.